/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.transport  ;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 *
 *
 * @version $Id: ConnectorAuthenticator.java,v 1.1 2006/05/31 16:34:26 gbmiglia Exp $
 */
public class ConnectorAuthenticator extends Authenticator {

  private String username = "";
  private String password = "";

  public PasswordAuthentication getPasswordAuthentication() {
     return new PasswordAuthentication(username, password);
  }

 
  public void setUserName(String u){
      username = u;
  }
  
  public void setPassword(String p){
      password = p;
  }
  
   
}