--
-- Initialization data for the Email Connector module
--
-- @version $Id: create_schema.sql,v 1.10 2006/04/11 09:37:51 gbmiglia Exp $
--


create table fnbl_email_cache (
    id         varchar(200),
    source_uri varchar(128),
    principal  integer,
    last_crc   numeric
);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR(50),
    parentid   VARCHAR(50),
    path       VARCHAR(500),
    source_uri varchar(128),
    principal  integer
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         varchar(200),
    source_uri varchar(128),
    principal  integer,
    mail       BINARY
);

-- tables for inboxlistener

create table fnbl_email_account (
    username     varchar(50)  not null,
    password     varchar(50)  not null,
    listener_id  varchar(20)  not null,
    activation   char         not null,
    
    constraint pk_account primary key (username, password, listener_id)
    
);
