--
-- Initialization data for the Email Connector module
--
-- @version $Id: create_schema.sql,v 1.9 2006/04/19 09:23:33 gbmiglia Exp $
--


create table fnbl_email_cache (
    id           VARCHAR(200) BINARY,
    source_uri   VARCHAR(128) BINARY,
    principal    INTEGER,
    last_crc     BIGINT
);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR(50) BINARY,
    parentid   VARCHAR(50) BINARY,
    path       VARCHAR(255) BINARY,
    source_uri VARCHAR(128) BINARY,
    principal  INTEGER
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         VARCHAR(200) BINARY,
    source_uri VARCHAR(128) BINARY,
    principal  INTEGER,
    mail       LONGBLOB
);


-- tables for inboxlistener

create table fnbl_email_account (
    username     varchar(50)  BINARY not null,
    password     varchar(50)  BINARY not null,
    listener_id  varchar(20)  BINARY not null,
    activation   char         BINARY not null,

    constraint pk_account primary key (username, password, listener_id)
);




